#2776 closed enhancement (fixed)

SPI Framework

Reported by: Alexander Krutwig Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: score Version: 5
Severity: normal Keywords: SPI, Framework
Cc: Blocked By:
Blocking:

Description

Development of a SPI framework which shall be used for further SPI bus and device drivers. The framework shall be developed using the i2c framework as a template. It shall export the Linux Userspace SPI API.

Change History (6)

comment:1 Changed on Sep 16, 2016 at 12:01:46 PM by Alexander Krutwig <alexander.krutwig@…>

In a42be52bbf2b3a549d4b9635a5a93215dacd0657/rtems:

Add SPI bus framework

User API is compatible to Linux userspace API. New test libtests/spi01.

Update #2776.

comment:2 Changed on Sep 16, 2016 at 12:02:20 PM by Sebastian Huber

Update of BSP manual is missing.

comment:4 Changed on Dec 23, 2016 at 1:42:00 PM by Sebastian Huber

Resolution: fixed
Status: newclosed

comment:5 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:6 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.